> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-leet-slack-mcp-docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke Device Client

> RevokeDeviceClient revokes a single app client on a device: it removes that
 client, leaving the device and its other clients intact.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples delete /api/v1/iam/personal_devices/{device_id}/clients/{id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/iam/personal_devices/{device_id}/clients/{id}:
    delete:
      tags:
        - Personal Device
      summary: Revoke Device Client
      description: >-
        RevokeDeviceClient revokes a single app client on a device: it removes
        that
         client, leaving the device and its other clients intact.
      operationId: c1.api.iam.v1.PersonalDeviceService.RevokeDeviceClient
      parameters:
        - in: path
          name: device_id
          required: true
          schema:
            description: The device identity the client belongs to.
            type: string
        - in: path
          name: id
          required: true
          schema:
            description: >-
              The human-readable ID of the client to revoke (e.g.,
              blue-whale-12345).
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.iam.v1.PersonalDeviceServiceRevokeDeviceClientRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.iam.v1.PersonalDeviceServiceRevokeDeviceClientResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: RevokeDeviceClient
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.PersonalDevice.RevokeDeviceClient(ctx, operations.C1APIIamV1PersonalDeviceServiceRevokeDeviceClientRequest{\n        DeviceID: \"<id>\",\n        ID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.PersonalDeviceServiceRevokeDeviceClientResponse != nil {\n        // handle response\n    }\n}"
components:
  schemas:
    c1.api.iam.v1.PersonalDeviceServiceRevokeDeviceClientRequestInput:
      description: The PersonalDeviceServiceRevokeDeviceClientRequest message.
      title: Personal Device Service Revoke Device Client Request
      type: object
      x-speakeasy-name-override: PersonalDeviceServiceRevokeDeviceClientRequest
    c1.api.iam.v1.PersonalDeviceServiceRevokeDeviceClientResponse:
      description: The PersonalDeviceServiceRevokeDeviceClientResponse message.
      title: Personal Device Service Revoke Device Client Response
      type: object
      x-speakeasy-name-override: PersonalDeviceServiceRevokeDeviceClientResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````